<div class="container-fluid">
  <nav class="navbar navbar-expand-lg navbar-primary">
    <div class="container">
      <p class="color mt-2">S.M Guest House</p>
      <a class="nav-link active btn btn-outline-danger" routerLink="/loginpage"
        >log-Out</a
      >
    </div>
  </nav>
  <div class="row">
    <div class="col-sm-1">
      <ul class="nav nav-sidebar my-4">
        <li
          class="my-4 btn btn-outline-info"
          title="main page Dashboard"
          routerLink="/mainpage"
        >
          Main-Page
        </li>
        <li
          class="my-4 btn btn-outline-info"
          title="New Record insert button"
          routerLink="/addpage"
        >
          Add-New-Record
        </li>
      </ul>
    </div>
    <div class="col-sm-11">
      <div class="table-wrapper">
        <div class="row justify-content-center mt-4">
          <div class="col-sm-6"><h2 class="float-start">User Details</h2></div>
          <div class="col-sm">
            <p class="float-end">
              <button class="btn btn-outline-danger" routerLink="/addpage">
                Add New Mmember
              </button>
            </p>
          </div>
        </div>
        <div class="table-responsive">
          <table class="table table-bordered ml-5 col-10">
            <thead>
              <tr>
                <th>SERIAL NO</th>
                <th>USERNAME</th>
                <th>LOCATION</th>
                <th>PHONENUMBER</th>
                <th>MODIFY</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let arr of userList; let i = index">
                <td>{{ i + 1 }}</td>
                <td>{{ arr.username }}</td>
                <td>{{ arr.location }}</td>
                <td>{{ arr.phonenumber }}</td>
                <td>
                  <button
                    class="btn btn-outline-primary mr-2"
                    [routerLink]="['/editpage', arr.sno]"
                  >
                    Edit
                  </button>

                  <button
                    class="btn btn-outline-danger"
                    (click)="delete(arr.sno)"
                  >
                    Delete
                  </button>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
